.TH c 3 "stdlib  1.16.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
c \- Command Interface Module
.SH DESCRIPTION
.LP
The \fIc\fR module enables users to enter the short form of some commonly used commands\&.
.SS Note:
.LP
These functions are are intended for interactive use in the Erlang shell only\&. The module prefix may be omitted\&.


.SH EXPORTS
.LP
.B
bt(Pid) -> void()
.br
.RS
.TP
Types
Pid = pid()
.br
.RE
.RS
.LP
Stack backtrace for a process\&. Equivalent to \fIerlang:process_display(Pid, backtrace)\fR\&.
.RE
.LP
.B
c(File) -> {ok, Module} | error
.br
.B
c(File, Options) -> {ok, Module} | error
.br
.RS
.TP
Types
File = name() -- see filename(3)
.br
Options = [Opt] -- see compile:file/2
.br
.RE
.RS
.LP
\fIc/1, 2\fR compiles and then purges and loads the code for a file\&. \fIOptions\fR defaults to []\&. Compilation is equivalent to:

.nf
compile:file(File, Options ++ [report_errors, report_warnings])
.fi
.LP
Note that purging the code means that any processes lingering in old code for the module are killed without warning\&. See \fIcode/3\fR for more information\&.
.RE
.LP
.B
cd(Dir) -> void()
.br
.RS
.TP
Types
Dir = name() -- see filename(3)
.br
.RE
.RS
.LP
Changes working directory to \fIDir\fR, which may be a relative name, and then prints the name of the new working directory\&.

.nf
2> cd("\&.\&./erlang")\&.

/home/ron/erlang
.fi
.RE
.LP
.B
flush() -> void()
.br
.RS
.LP
Flushes any messages sent to the shell\&.
.RE
.LP
.B
help() -> void()
.br
.RS
.LP
Displays help information: all valid shell internal commands, and commands in this module\&.
.RE
.LP
.B
i() -> void()
.br
.B
ni() -> void()
.br
.RS
.LP
\fIi/0\fR displays information about the system, listing information about all processes\&. \fIni/0\fR does the same, but for all nodes the network\&.
.RE
.LP
.B
i(X, Y, Z) -> void()
.br
.RS
.TP
Types
X = Y = Z = int()
.br
.RE
.RS
.LP
Displays information about a process, Equivalent to \fIprocess_info(pid(X, Y, Z))\fR, but location transparent\&.
.RE
.LP
.B
l(Module) -> void()
.br
.RS
.TP
Types
Module = atom()
.br
.RE
.RS
.LP
Purges and loads, or reloads, a module by calling \fIcode:purge(Module)\fR followed by \fIcode:load_file(Module)\fR\&.
.LP
Note that purging the code means that any processes lingering in old code for the module are killed without warning\&. See \fIcode/3\fR for more information\&.
.RE
.LP
.B
lc(Files) -> ok
.br
.RS
.TP
Types
Files = [File]
.br
 File = name() -- see filename(3)
.br
.RE
.RS
.LP
Compiles a list of files by calling \fIcompile:file(File, [report_errors, report_warnings])\fR for each \fIFile\fR in \fIFiles\fR\&.
.RE
.LP
.B
ls() -> void()
.br
.RS
.LP
Lists files in the current directory\&.
.RE
.LP
.B
ls(Dir) -> void()
.br
.RS
.TP
Types
Dir = name() -- see filename(3)
.br
.RE
.RS
.LP
Lists files in directory \fIDir\fR\&.
.RE
.LP
.B
m() -> void()
.br
.RS
.LP
Displays information about the loaded modules, including the files from which they have been loaded\&.
.RE
.LP
.B
m(Module) -> void()
.br
.RS
.TP
Types
Module = atom()
.br
.RE
.RS
.LP
Displays information about \fIModule\fR\&.
.RE
.LP
.B
memory() -> [{Type, Size}]
.br
.RS
.TP
Types
Type, Size -- see erlang:memory/0
.br
.RE
.RS
.LP
Memory allocation information\&. Equivalent to \fIerlang:memory/0\fR\&.
.RE
.LP
.B
memory(Type) -> Size
.br
.B
memory([Type]) -> [{Type, Size}]
.br
.RS
.TP
Types
Type, Size -- see erlang:memory/0
.br
.RE
.RS
.LP
Memory allocation information\&. Equivalent to \fIerlang:memory/1\fR\&.
.RE
.LP
.B
nc(File) -> {ok, Module} | error
.br
.B
nc(File, Options) -> {ok, Module} | error
.br
.RS
.TP
Types
File = name() -- see filename(3)
.br
Options = [Opt] -- see compile:file/2
.br
.RE
.RS
.LP
Compiles and then loads the code for a file on all nodes\&. \fIOptions\fR defaults to []\&. Compilation is equivalent to:

.nf
compile:file(File, Opts ++ [report_errors, report_warnings])
.fi
.RE
.LP
.B
nl(Module) -> void()
.br
.RS
.TP
Types
Module = atom()
.br
.RE
.RS
.LP
Loads \fIModule\fR on all nodes\&.
.RE
.LP
.B
pid(X, Y, Z) -> pid()
.br
.RS
.TP
Types
X = Y = Z = int()
.br
.RE
.RS
.LP
Converts \fIX\fR, \fIY\fR, \fIZ\fR to the pid \fI<X\&.Y\&.Z>\fR\&. This function should only be used when debugging\&.
.RE
.LP
.B
pwd() -> void()
.br
.RS
.LP
Prints the name of the working directory\&.
.RE
.LP
.B
q() -> void()
.br
.RS
.LP
This function is shorthand for \fIinit:stop()\fR, that is, it causes the node to stop in a controlled fashion\&.
.RE
.LP
.B
regs() -> void()
.br
.B
nregs() -> void()
.br
.RS
.LP
\fIregs/0\fR displays information about all registered processes\&. \fInregs/0\fR does the same, but for all nodes in the network\&.
.RE
.LP
.B
xm(ModSpec) -> void()
.br
.RS
.TP
Types
ModSpec = Module | Filename
.br
 Module = atom()
.br
 Filename = string()
.br
.RE
.RS
.LP
This function finds undefined functions, unused functions, and calls to deprecated functions in a module by calling \fIxref:m/1\fR\&.
.RE
.LP
.B
y(File) -> YeccRet
.br
.RS
.TP
Types
File = name() -- see filename(3)
.br
YeccRet = -- see yecc:file/2
.br
.RE
.RS
.LP
Generates an LALR-1 parser\&. Equivalent to:

.nf
yecc:file(File)
.fi
.RE
.LP
.B
y(File, Options) -> YeccRet
.br
.RS
.TP
Types
File = name() -- see filename(3)
.br
Options, YeccRet = -- see yecc:file/2
.br
.RE
.RS
.LP
Generates an LALR-1 parser\&. Equivalent to:

.nf
yecc:file(File, Options)
.fi
.RE
.SH SEE ALSO
.LP
compile(3), filename(3), erlang(3), yecc(3), xref(3)
